fallback switch build for fallbacksrc. Built on a Ubuntu24 image. Painfully so.

Should work in most Linux OS!

# Installation:

Simply copy the `libgstfallbackswitch.so` into your gstreamer installation folder. For most OS this should be:
```
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/
```

Once done you should be able to use `fallbacksrc` through:
```
gst-inspect-1.0 fallbacksrc
```

# Ubuntu 24 building steps for - gstreamer fallbacksrc


```
apt update
apt install build-essential git meson 
```
```
apt install libgstreamer1.0-dev libgstreamer-plugins-base1.0-dev gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly gstreamer1.0-libav libgstrtspserver-1.0-dev libges-1.0-dev libgstreamer-plugins-bad1.0-dev
```

`install cargo cargo-c rustup`

`rustup default stable`

`git clone https://gitlab.freedesktop.org/gstreamer/gst-plugins-rs.git`

`cd gst-plugins-rs/utils/fallbackswitch`

`cargo build`
> `cargo update` if it fails

Now fallbackswitch should be build in the `target/debug/` as `libgstfallbackswitch.so`
Install to default gst plugins library:
`/usr/lib/x86_64-linux-gnu/gstreamer-1.0/`


`/gst-plugins-rs/target/debug/libgstfallbackswitch.so /usr/lib/x86_64-linux-gnu/gstreamer-1.0/`

> Consider stripping it with: `strip libgstfallbackswitch.so` to reduce the size and remove debug symbols.
